Index: /issm/trunk-jpl/externalpackages/boost/configs/1.55/cas128strong.hpp.patch
===================================================================
--- /issm/trunk-jpl/externalpackages/boost/configs/1.55/cas128strong.hpp.patch	(revision 18159)
+++ /issm/trunk-jpl/externalpackages/boost/configs/1.55/cas128strong.hpp.patch	(revision 18159)
@@ -0,0 +1,17 @@
+199c199
+<     explicit base_atomic(value_type const& v) BOOST_NOEXCEPT : v_(0)
+---
+>     explicit base_atomic(value_type const& v) BOOST_NOEXCEPT 
+200a201
+> 	memset(&v_, 0, sizeof(v_));
+207c208,209
+<         storage_type value_s = 0;
+---
+> 	storage_type value_s;
+> 	memset(&value_s, 0, sizeof(value_s));
+250c252,254
+<         storage_type expected_s = 0, desired_s = 0;
+---
+> 	storage_type expected_s, desired_s; 
+> 	memset(&expected_s, 0, sizeof(expected_s));
+> 	memset(&desired_s, 0, sizeof(desired_s));
Index: /issm/trunk-jpl/externalpackages/boost/configs/1.55/gcc-atomic.hpp.patch
===================================================================
--- /issm/trunk-jpl/externalpackages/boost/configs/1.55/gcc-atomic.hpp.patch	(revision 18159)
+++ /issm/trunk-jpl/externalpackages/boost/configs/1.55/gcc-atomic.hpp.patch	(revision 18159)
@@ -0,0 +1,28 @@
+961c961
+<     explicit base_atomic(value_type const& v) BOOST_NOEXCEPT : v_(0)
+---
+>     explicit base_atomic(value_type const& v) BOOST_NOEXCEPT
+962a963
+>         memset(&v_, 0, sizeof(v_));
+968c969,970
+<         storage_type tmp = 0;
+---
+>         storage_type tmp;
+>         memset(&tmp, 0, sizeof(tmp));
+983c985,986
+<         storage_type tmp = 0;
+---
+>         storage_type tmp;
+>         memset(&tmp, 0, sizeof(tmp));
+997c1000,1002
+<         storage_type expected_s = 0, desired_s = 0;
+---
+> 	storage_type expected_s, desired_s;
+> 	memset(&expected_s, 0, sizeof(expected_s));
+> 	memset(&desired_s, 0, sizeof(desired_s));
+1013c1018,1020
+<         storage_type expected_s = 0, desired_s = 0;
+---
+> 	storage_type expected_s, desired_s;
+> 	memset(&expected_s, 0, sizeof(expected_s));
+> 	memset(&desired_s, 0, sizeof(desired_s));
Index: /issm/trunk-jpl/externalpackages/boost/install-1.49-linux.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/boost/install-1.49-linux.sh	(revision 18159)
+++ /issm/trunk-jpl/externalpackages/boost/install-1.49-linux.sh	(revision 18159)
@@ -0,0 +1,35 @@
+#!/bin/bash
+set -eu
+
+#Note of caution:  stop after boostrap phase, and run 
+#bjam --debug-configuration, to figure out which paths boost is using to include 
+#python. make sure everyone of these paths is covered by python. If not, just make 
+#symlinks in externalpackages/python to what boost is expecting. Ther is NO WAY 
+#to get the boost library to include python support without doing that. 
+
+#Some cleanup
+rm -rf install boost_1_49_0 src
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/boost_1_49_0.tar.gz' 'boost_1_49_0.tar.gz'
+
+#Untar 
+tar -zxvf  boost_1_49_0.tar.gz
+
+#Move boost into install directory
+mv boost_1_49_0/* src
+rm -rf boost_1_49_0
+#Configure and compile
+cd src 
+./bootstrap.sh \
+	--prefix="$ISSM_DIR/externalpackages/boost/install" \
+	--with-python=python3.2 \
+	--with-python-root="$ISSM_DIR/externalpackages/python/install" 
+
+#Compile boost
+./bjam install
+
+#put bjam into install also: 
+mkdir ../install/bin
+cp bjam ../install/bin
Index: /issm/trunk-jpl/externalpackages/boost/install-1.55-macosx-mavericks.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/boost/install-1.55-macosx-mavericks.sh	(revision 18159)
+++ /issm/trunk-jpl/externalpackages/boost/install-1.55-macosx-mavericks.sh	(revision 18159)
@@ -0,0 +1,40 @@
+#!/bin/bash
+set -eu
+
+#Note of caution:  stop after boostrap phase, and run 
+#bjam --debug-configuration, to figure out which paths boost is using to include 
+#python. make sure everyone of these paths is covered by python. If not, just make 
+#symlinks in externalpackages/python to what boost is expecting. Ther is NO WAY 
+#to get the boost library to include python support without doing that. 
+
+#Some cleanup
+rm -rf install boost_1_55_0 src
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/boost_1_55_0.tar.gz' 'boost_1_55_0.tar.gz'
+
+#Untar 
+tar -zxvf  boost_1_55_0.tar.gz
+
+#Move boost into install directory
+mv boost_1_55_0/* src
+rm -rf boost_1_55_0
+
+patch src/boost/atomic/detail/cas128strong.hpp ./configs/1.55/cas128strong.hpp.patch
+patch src/boost/atomic/detail/gcc-atomic.hpp ./configs/1.55/gcc-atomic.hpp.patch
+
+#Configure and compile
+cd src 
+./bootstrap.sh \
+	--prefix="$ISSM_DIR/externalpackages/boost/install" \
+	--with-python=python3.2 \
+	--with-python-root="$ISSM_DIR/externalpackages/python/install" 
+
+#Compile boost
+./b2 toolset=clang cxxflags=-stdlib=libstdc++ linkflags=-stdlib=libstdc++ -j2 variant=release link=static threading=multi install
+#./bjam install
+
+#put bjam into install also: 
+mkdir ../install/bin
+cp bjam ../install/bin
